# .readthedocs.yml
# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Build documentation in the docs/ directory with Sphinx
sphinx:
  builder: html
  configuration: doc/source/conf.py
  fail_on_warning: true

# Optionally build your docs in additional formats such as PDF
formats:
  - pdf

# Optionally set the version of Python and requirements required to build your docs
python:
  version: 3.8
  install:
    - requirements: docs/requirements.txt
    - method: pip
      path: .
  pip_install: true

requirements_file: .readthedocs-requirements.txt

submodules:
  include: []
  recursive: False

search:
  ranking:
    api/v1/*: -1
    api/v2/*: 4
  ignore:
    - 404.html